unit Options;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Spin, StdCtrls, IniFiles;

const
  _CONFIG_FILE = 'config.ini';

type
  TF_Options = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    E_hostname: TEdit;
    SE_Port: TSpinEdit;
    B_OK: TButton;
    procedure B_OKClick(Sender: TObject);
  private
    { Private declarations }
  public

    procedure LoadConfig(const filename:string);
    procedure SaveConfig(const filename:string);
  end;

var
  F_Options: TF_Options;

implementation

{$R *.dfm}

procedure TF_Options.B_OKClick(Sender: TObject);
begin
 Self.Close();
end;

procedure TF_Options.LoadConfig(const filename:string);
var ini:TMemIniFile;
begin
 ini := TMemIniFile.Create(filename);

 F_Options.E_hostname.Text := ini.ReadString('connection', 'hostname', 'localhost');
 F_Options.SE_Port.Value   := ini.ReadInteger('connection', 'port', 1);

 ini.Free();
end;//procedure

procedure TF_Options.SaveConfig(const filename:string);
var ini:TMemIniFile;
begin
 ini := TMemIniFile.Create(filename);

 ini.WriteString('connection', 'hostname', F_Options.E_hostname.Text);
 ini.WriteInteger('connection', 'port', F_Options.SE_Port.Value);

 ini.UpdateFile();
 ini.Free();
end;//procedure

end.//unit
